//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/skyyyy
{
	qer_editorimage textures/aadel_clinic/env/sky.tga
        qer_trans 0.99

	q3map_lightmapFilterRadius 0 4 //0 8
	q3map_lightsubdivide 768
	q3map_backsplash 0 0


	q3map_sunEXT 0.875 0.85 0.925 125 13 67 3 12 //120 13 67 3 12 
	q3map_skyLight 400 5			//250 5
	q3map_lightRGB 0.94 0.91 0.85 
	q3map_noFog
	q3map_globalTexture

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms env/turnpike/tp_sky2 300 - 	//- 150 -
						//- 2000 -
	nopicmip
	nomipmaps
	{
		map textures/aadel_clinic/env/del_cloud03.tga
		blendfunc blend
		tcMod scroll 0.001 -0.00075		
		tcmod scale 10 10 		//8 8
		rgbGen identityLighting
	}	
}
textures/aadel_clinic/env/sun
{
	surfaceparm sky
	surfaceparm nonsolid	
	surfaceparm nomarks	
	surfaceparm nolightmap 
    	surfaceparm trans   
	nopicmip
	nomipmaps
	{
		clampmap textures/aadel_clinic/env/sun.jpg
		tcmod rotate 5
		blendFunc gl_dst_color gl_one //add
		rgbGen identitylighting
	}
}

textures/aadel_clinic/skyyyy_lbsky2
{
	qer_editorimage textures/aadel_clinic/env/lbsky2_bk.tga
        qer_trans 0.99

	q3map_lightmapFilterRadius 0 8
	q3map_lightsubdivide 768
	q3map_backsplash 0 0


	q3map_sunEXT 0.875 0.85 0.925 380 13 65 3 12 //0.94 0.91 0.95 turnpike sky colours
	q3map_skyLight 300 5	//250 4
	q3map_lightRGB 0.94 0.91 0.85 
	q3map_noFog
	q3map_globalTexture

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/aadel_clinic/env/lbsky2 - -

	nopicmip
	nomipmaps
}

textures/aadel_clinic/skyyyy_vanilla
{
	qer_editorimage textures/aadel_clinic/env/vanilla_sky_bk.tga
        qer_trans 0.99

	q3map_lightmapFilterRadius 0 8	//0 8
	q3map_lightsubdivide 768	//768
	q3map_backsplash 0 0

	//q3map_sunEXT 1 0.894 0.674 150 100 50 3 12
	//q3map_sunEXT 1 0.88 0.685 120 99 25 3 12
	q3map_sunEXT 1 0.721 0.52 180 55 35 3 12
	q3map_skyLight 350 5	//250 4
	q3map_lightRGB 0.94 0.91 0.85 //0.94 0.91 0.95  //q3map_lightRGB 1 0.894 0.674 - 255 227 171
	q3map_noFog
	q3map_globalTexture

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/aadel_clinic/env/vanilla_sky - -

	nopicmip
	nomipmaps
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Mirror
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/mirror01
{
	qer_editorimage textures/aadel_clinic/del_mirror01.tga
	surfaceparm nolightmap
	nopicmip
	portal
	{
              	map textures/aadel_clinic/del_mirror01.tga
		blendfunc GL_DST_COLOR GL_ZERO  //GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
		map textures/aadel_clinic/del_mirror_black.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/water2
{
	qer_editorimage textures/aadel_clinic/wvw_slime.tga
	qer_trans 0.75
	q3map_globaltexture
	q3map_cheapwater 4 1 0.85 0.7	//wave size, R, B, G 
	q3map_noshadow 32
	
	//surfaceparm lightfilter
	//surfaceparm alphashadow

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm water

	cull none
	nopicmip
	deformVertexes wave 32 sin 0.5 0.5 0 0.1
        {
            map textures/aadel_clinic/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/aadel_clinic/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/aadel_clinic/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}
textures/aadel_clinic/watercaulk
{
	qer_editorimage textures/aadel_clinic/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/aadel_clinic/waterplant_2
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	q3map_noshadow 32	//no shadows from water
	surfaceparm alphashadow
	surfaceparm trans 
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_clinic/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
textures/aadel_clinic/waterplant_1
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	q3map_noshadow 32	//no shadows from water
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	cull none 
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_clinic/waterplant_1.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	$NulL's light Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//used in an early beta for an easter egg.
//just keeping it in here so i know where to find it if i need to
textures/aadel_clinic/a_shadow_dark
{
	qer_editorimage textures/aadel_clinic/shadow.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 12
	q3map_cloneshader textures/aadel_clinic/a_shadow_light
	{
		map textures/aadel_clinic/shadow_d.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/a_shadow_light
{
	qer_editorimage textures/aadel_clinic/light.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 13
	q3map_invert
	{
		map textures/aadel_clinic/light_d.tga
		blendfunc gl_dst_color gl_src_color
		//blendfunc add
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/glass_wave
{
	q3map_lightimage textures/aadel_clinic/lamp_light.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	q3map_surfacelight 35000	//20000 
        {
                map textures/aadel_clinic/glass_wave.tga
		rgbGen vertex
        }	
}
textures/aadel_clinic/glass_wave_low
{
	q3map_lightimage textures/aadel_clinic/lamp_light.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	q3map_surfacelight 20000 
        {
                map textures/aadel_clinic/glass_wave.tga
		rgbGen vertex
        }	
}
textures/aadel_clinic/light_white
{
	q3map_lightimage textures/aadel_clinic/light_white.tga
	//q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000 
        {
                map textures/aadel_clinic/light_white.tga
        }
}
textures/aadel_clinic/leaves
{
	q3map_forceMeta
	q3map_noshadow 32	//32 no shadows from self
	q3map_vertexScale 1.75
	q3map_splotchFix
	q3map_surfaceLight 5
	q3map_bouncescale 1.2

	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_clinic/leaves.tga
		alphafunc ge128
		rgbGen exactVertex //vertex
	}
}
textures/aadel_clinic/leaves2
{
	q3map_forceMeta
	q3map_noshadow 32	//32 no shadows from self
	q3map_vertexScale 1.75
	q3map_splotchFix
	q3map_surfaceLight 5
	q3map_bouncescale 1.2

	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_clinic/leaves2.tga
		alphafunc ge128
		rgbGen exactVertex //vertex
	}
}
textures/aadel_clinic/bark
{
	qer_editorimage textures/aadel_clinic/bark.tga
	q3map_forcemeta
	//q3map_clipModel
	q3map_vertexScale 1.5
	q3map_bouncescale 2
	nopicmip
	{
		map textures/aadel_clinic/bark.tga
		rgbGen exactVertex
	}
}
textures/aadel_clinic/keres4_vegetation01
{
	qer_editorimage textures/aadel_clinic/keres4_vegetation01.tga
	qer_trans 0.99
	q3map_forceMeta

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonoffset
	cull none
	{
		map textures/aadel_clinic/keres4_vegetation01.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
textures/aadel_clinic/keres4_vegetation02
{
	qer_editorimage textures/aadel_clinic/keres4_vegetation02.tga
	qer_trans 0.99
	q3map_forceMeta

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	q3map_bouncescale 0.0
	q3map_noshadow 32	//no shadows from self
	polygonoffset
	cull none
	{
		map textures/aadel_clinic/keres4_vegetation02.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex	//exactvertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/ceiling_inside_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/aadel_clinic/ceiling_inside.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/ceiling_inside.tga
		blendFunc filter
	}
}
textures/aadel_clinic/mud_phong
{
	q3map_nonplanar
	q3map_shadeangle 140 //90
	qer_editorimage textures/aadel_clinic/dirtyr.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/dirtyr.tga
		blendFunc filter
	}

}

textures/aadel_clinic/grass_phong
{
	qer_editorimage textures/aadel_clinic/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/grassy2.tga
		blendFunc filter
	}
}
textures/aadel_clinic/grass_phong_number2
{
	qer_editorimage textures/aadel_clinic/del2_floor09.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/del2_floor09.tga
		blendFunc filter
	}
}
textures/aadel_clinic/grass_phong_grassy2_to_number2
{
	qer_editorimage textures/aadel_clinic/del2_floor09.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/grassy2.tga
	}
	{
		map textures/aadel_clinic/del2_floor09.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/grass_rock_phong
{
	qer_editorimage textures/aadel_clinic/rockyr.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_clinic/rockyr.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/grass_mud_phong
{
	qer_editorimage textures/aadel_clinic/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	//q3map_surfaceModel models/mapobjects/br_flowers/green_1.md3 1024 0.2 0.5 1.7 0 360 0
	{
		map textures/aadel_clinic/dirtyr.tga
	}
	{
		map textures/aadel_clinic/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/grass_mud_phong_nomarks
{
	qer_editorimage textures/aadel_clinic/grassy2.tga
	q3map_shadeangle 140 //90
	//q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm nomarks
	{
		map textures/aadel_clinic/dirtyr.tga
	}
	{
		map textures/aadel_clinic/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/aadel_clinic/grass_dirt_phong
{
	qer_editorimage textures/aadel_clinic/dirt1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_clinic/dirt1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		tcmod scale 0.5 0.5
	}
	{
		map $lightmap 
		blendfunc filter
	}
}
textures/aadel_clinic/dirt_grass_phong
{
	qer_editorimage textures/aadel_clinic/grassy2.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/dirt1.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_clinic/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/grass_path_phong
{
	qer_editorimage textures/aadel_clinic/path1.tga
	q3map_shadeangle 140 //90 //120
	q3map_nonplanar
	{
		map textures/aadel_clinic/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_clinic/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/path_phong
{
	qer_editorimage textures/aadel_clinic/path1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/path1.tga
	}
	{
		map textures/aadel_clinic/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/path_phong_nonsolid
{
	qer_editorimage textures/aadel_clinic/path1.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/aadel_clinic/path1.tga
	}
	{
		map textures/aadel_clinic/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/ground_phong
{
	qer_editorimage textures/aadel_clinic/tile07.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/tile07.tga
	}
	{
		map textures/aadel_clinic/tile07.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/grass_ground_phong
{
	qer_editorimage textures/aadel_clinic/tile07.tga
	q3map_shadeangle 140 //90
	q3map_nonplanar
	{
		map textures/aadel_clinic/tile07.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_clinic/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/vine07
{
	qer_editorimage textures/aadel_clinic/ivy_down.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 0.8
	//q3map_noshadow 32	//no shadows from self
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_clinic/ivy_down.tga
		alphaFunc GE128
		rgbgen vertex
	}
}
textures/aadel_clinic/vine06
{
	qer_editorimage textures/aadel_clinic/ivy_down2.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 0.8
	//q3map_noshadow 32	//no shadows from self
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_clinic/ivy_down2.tga
		alphaFunc GE128
		rgbgen vertex
	}
}
textures/aadel_clinic/del_fence4
{
	qer_editorimage textures/aadel_clinic/del_fence4.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_clinic/del_fence4.tga
		alphaFunc GE128
		rgbgen exactvertex
	}
}
textures/aadel_clinic/wood_fence_1
{
	qer_editorimage textures/aadel_clinic/wood_fence.tga
        //cull none
        nopicmip
	q3map_vertexScale 1.5
	//surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	//q3map_cloneshader textures/aadel_clinic/wood_fence_back
        {
                map textures/aadel_clinic/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_clinic/wood_fence_back
{
	qer_editorimage textures/aadel_clinic/wood_fence.tga
        //cull none
        nopicmip
	q3map_lightmapSampleSize 0
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_invert
        {
                map textures/aadel_clinic/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/decal_a
{
	qer_editorimage textures/aadel_clinic/tag_anarchy.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/tag_anarchy.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_pugbot
{
	qer_editorimage textures/aadel_clinic/decal_pugbot.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_pugbot.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_deldeldel
{
	qer_editorimage textures/aadel_clinic/del2_decal10.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del2_decal10.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_deldeldel_solitary
{
	qer_editorimage textures/aadel_clinic/del2_decal10_sol.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del2_decal10_sol.tga
		blendfunc gl_dst_color gl_zero
	}
}
textures/aadel_clinic/bomb
{
	qer_editorimage textures/aadel_clinic/bomb.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		clampmap textures/aadel_clinic/bomb.tga
		//tcMod stretch triangle 0.975 0.025 0 0.25
		tcMod rotate -45
		blendfunc GL_DST_COLOR GL_ZERO 	//GL_ONE GL_ONE
		rgbgen identity		//wave sawtooth 1 0.75 0 0.2
		//alphagen const 0.5
	}
	//{
	//	clampmap textures/aadel_clinic/bomb.tga
	//	tcMod stretch triangle 1.2 0.8 0 1
	//	tcMod rotate 20
	//	blendfunc GL_ONE GL_ONE
	//	rgbgen wave sawtooth 1.2 0.8 0.25 1
	//	//alphagen const 1
	//}
}
textures/aadel_clinic/decal_vines_wall
{
	qer_editorimage textures/aadel_clinic/vines_wall.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/vines_wall.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_clinic/decal_fence_1
{
	qer_editorimage textures/aadel_clinic/fence_1.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_clinic/fence_1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_clinic/decal_fence_2
{
	qer_editorimage textures/aadel_clinic/del_decal02.tga
	//q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_clinic/del_decal02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_clinic/decal_del_decal12
{
	qer_editorimage textures/aadel_clinic/del_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal12.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal14
{
	qer_editorimage textures/aadel_clinic/del_decal14.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal14.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal42
{
	qer_editorimage textures/aadel_clinic/del_decal42.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal42.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}
textures/aadel_clinic/decal_del_decal49
{
	qer_editorimage textures/aadel_clinic/del_decal49.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal49.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal57
{
	qer_editorimage textures/aadel_clinic/del_decal57.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal57.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal58
{
	qer_editorimage textures/aadel_clinic/del_decal58.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal58.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal62
{
	qer_editorimage textures/aadel_clinic/del_decal62.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal62.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal69
{
	qer_editorimage textures/aadel_clinic/del_decal69.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal69.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal71
{
	qer_editorimage textures/aadel_clinic/del_decal71.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal71.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal72
{
	qer_editorimage textures/aadel_clinic/del_decal72.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal72.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal73
{
	qer_editorimage textures/aadel_clinic/del_decal73.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal73.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_decal74
{
	qer_editorimage textures/aadel_clinic/del_decal74.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/del_decal74.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_wallscribble01
{
	qer_editorimage textures/aadel_clinic/del_wallscribble01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/del_wallscribble01.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//IMA BIG FAT WHALE BITCHES!
textures/aadel_clinic/whale_dude
{
	qer_trans 0.99
	qer_editorimage textures/aadel_clinic/im_a_whale.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/im_a_whale.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_clinic/decal_del_wallscribble02
{
	qer_editorimage textures/aadel_clinic/del_wallscribble02.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/del_wallscribble02.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_del_wallscribble03
{
	qer_editorimage textures/aadel_clinic/del_wallscribble03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/del_wallscribble03.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_honour
{
	qer_editorimage textures/aadel_clinic/honour.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/honour.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_roadmarking2
{
	qer_editorimage textures/aadel_clinic/decal_roadmarking2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/decal_roadmarking2.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/decal_dirt6
{
	qer_editorimage textures/aadel_clinic/decal_dirt6.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt6.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/urt_jumpers
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_clinic/urt_jumpers.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/del_smoke_haze
{
	qer_editorimage textures/aadel_clinic/del_smoke_haze01.tga
	nopicmip
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.7
	cull none
	deformvertexes autosprite2
	{
		map textures/aadel_clinic/del_smoke_haze01.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 0.1
	}
}
textures/aadel_clinic/decal_cracks
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_cracks.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt10
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt10.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt18
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt18.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	sort 8
	nopicmip
	{
		map textures/aadel_clinic/decal_dirt2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt4
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt4.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt8
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt8.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_leak
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_leak.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/hyp
{
	qer_editorimage textures/aadel_clinic/hyp.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/hyp.tga
		blendfunc gl_dst_color gl_zero
	}
}
textures/aadel_clinic/decal_mold
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_mold.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_mud2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_mud2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_dirt
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_dirt.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_mud_end
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_mud_end.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_rust
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_rust.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/aadel_clinic/decal_rust6
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_rust6.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}
textures/aadel_clinic/decal_rust7
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/decal_rust7.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		depthWrite 
		rgbGen identity
	}
}

textures/aadel_clinic/flowers
{
	qer_editorimage textures/aadel_clinic/flowers.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2
	q3map_noshadow 32	//no shadows from self

	{
		map textures/aadel_clinic/flowers.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_clinic/flowers3
{
	qer_editorimage textures/aadel_clinic/flowers_3.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2
	q3map_noshadow 32	//no shadows from self

	{
		map textures/aadel_clinic/flowers_3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_clinic/flowers2
{
	qer_editorimage textures/aadel_clinic/flowers_2.tga
	qer_trans 0.99
	q3map_nonplanar
	q3map_shadeangle 30

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	q3map_bouncescale 0.2
	q3map_noshadow 32	//no shadows from self

	{
		map textures/aadel_clinic/flowers_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/powerwire01
{
	qer_editorimage textures/aadel_clinic/powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aadel_clinic/powerwire01.tga
		blendFunc filter
	}
}
textures/aadel_clinic/chainlink
{
	qer_editorimage textures/aadel_clinic/chainlink.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_clinic/chainlink.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

textures/aadel_clinic/iron_support-x
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_clinic/iron_support-x.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_clinic/ladder-y
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
        surfaceparm ladder
	surfaceparm trans
	nopicmip
	qer_alphaFunc qequal 0.5
	{
		map textures/aadel_clinic/ladder-y.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_clinic/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/aadel_clinic/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcmod scale 2 2
	}
    	{
		map textures/aadel_clinic/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcmod scale 2 2
	}
}
textures/aadel_clinic/grate_fence
{
	qer_editorimage textures/aadel_clinic/grate.tga
	//q3map_cloneshader textures/aadel_clinic/grate_fence_back
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	qer_alphaFunc gequal 0.5
    	{
		map textures/aadel_clinic/grate.tga
		rgbgen const ( 0.5 0.5 0.5 )
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen vertex
		tcmod scale 8 8
	}
}
textures/aadel_clinic/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/aadel_clinic/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/aadel_clinic/clip_nokick
{

	qer_editorimage textures/aadel_clinic/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
//this side faces the brighter side
textures/aadel_clinic/blue-white
{
	qer_editorimage textures/aadel_clinic/blue-white.tga
	nopicmip
	q3map_cloneshader textures/aadel_clinic/blue-white_back
	{
		map textures/aadel_clinic/blue-white.tga
		rgbgen vertex
	}
}
textures/aadel_clinic/blue-white_back
{
	qer_editorimage textures/aadel_clinic/blue-white.tga
	nopicmip
	q3map_invert
	{
		map textures/aadel_clinic/blue-white.tga
		rgbgen vertex
	}
}
//cheers NulL
textures/aadel_clinic/bay_windows
{
	qer_editorimage textures/aadel_clinic/08panwindow.tga
	q3map_surfacelight 100
	q3map_lightRGB 1 0.788 0.347
	{
		// Change fx texture
		map textures/aadel_clinic/del_envmap01.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/aadel_clinic/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}
//cheers NulL
textures/aadel_clinic/bay_windows_low
{
	qer_editorimage textures/aadel_clinic/08panwindow.tga
	{
		// Change fx texture
		map textures/aadel_clinic/del_envmap01.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/aadel_clinic/08panwindow.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}
//credz NulL
textures/aadel_clinic/gold_shader
{
	qer_editorimage textures/aadel_clinic/gold_base.tga
	{
		map textures/aadel_clinic/gold_base.tga
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/aadel_clinic/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_clinic/glass-yel
{
	qer_editorimage textures/aadel_clinic/glass02.tga
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	sort 9
	{
		map textures/aadel_clinic/glass02.tga
		alphagen const 0.6 //0.65
		blendfunc blend
		rgbGen vertex
		//tcgen environment
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		alphagen const 0.4 //0.475
		blendfunc blend
		rgbGen vertex
		tcgen environment
	}
}
textures/aadel_clinic/glass-yel_load_behind
{
	qer_editorimage textures/aadel_clinic/glass02.tga
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	sort 8
	{
		map textures/aadel_clinic/glass02.tga
		alphagen const 0.6 //0.65
		blendfunc blend
		rgbGen vertex
		//tcgen environment
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		alphagen const 0.4 //0.475
		blendfunc blend
		rgbGen vertex
		tcgen environment
	}
}
textures/aadel_clinic/tarp01
{
	qer_editorimage textures/aadel_clinic/tarp01.tga   
	qer_trans 0.7

	surfaceparm lightfilter		// Colored alpha shadows in lightmap.
	//surfaceparm alphashadow	//gives no color on alpha shadows >.>
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none		
	{
		map textures/aadel_clinic/tarp01.tga
		blendfunc blend
		alphagen const 0.875
		//rgbgen vertex
		rgbgen exactVertex
	}
}
textures/aadel_clinic/del_wall
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/aadel_clinic/del_wall.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/del_wall.tga
		blendFunc filter
	}
}
textures/aadel_clinic/tegelvit01
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/aadel_clinic/tegelvit01.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/tegelvit01.tga
		blendFunc filter
	}
}

textures/aadel_clinic/fs_tiles_floor01
{
	qer_editorimage textures/aadel_clinic/fs_tiles_floor01.tga
	//surfaceparm nomarks
	{
		map textures/aadel_clinic/fs_tiles_floor01.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/aadel_clinic/fs_tiles_floor02
{
	qer_editorimage textures/aadel_clinic/fs_tiles_floor02.tga
	//surfaceparm nomarks
	{
		map textures/aadel_clinic/fs_tiles_floor02.tga
	}
	
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_clinic/sn_window1
{
	{	
		map textures/aadel_clinic/sn_window1.tga
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_clinic/sn_window1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/sn_window2
{
	{	
		map textures/aadel_clinic/sn_window2.tga
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_clinic/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/sn_window8
{
	{	
		map textures/aadel_clinic/sn_window8.tga
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_clinic/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/sn_window11a
{
	{	
		map textures/aadel_clinic/sn_window11a.tga
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_clinic/sn_window11a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_clinic/parpaingwind01cadrb_d
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_clinic/parpaingwind01cadrb_d.tga
	}
	{
		map textures/aadel_clinic/del_envmap01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_clinic/parpaingwind01cadrb_d.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_clinic/stainedglass05
{
	qer_editorimage textures/aadel_clinic/stainedglass05.tga

	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm playerclip

	//cull none //Lol?
	nopicmip

	//q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 10	//70

	{
		map textures/aadel_clinic/del_envmap01.tga
		tcGen environment
		tcmod scale 4 4
		rgbGen identity
		blendFunc blend
		alphaGen const 0.2
	}
	{
		map textures/aadel_clinic/stainedglass05.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
}

textures/aadel_clinic/null_red_carpet_1
{
	{
		map textures/aadel_clinic/null_red_carpet_1.tga
		tcmod scale 4 4
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_clinic/ivy_wall
{
	qer_editorimage textures/aadel_clinic/ivy_wall.tga
		//q3map_vertexScale 1.8
	q3map_vertexScale 0.8
	q3map_notjunc
	q3map_shadeangle 140
	q3map_nonplanar

		//surfaceparm trans
		//surfaceparm nonsolid
		//surfaceparm playerclip

	//q3map_cloneshader textures/aadel_clinic/ivy_layer
	//nomipmaps
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_clinic/ivy_wall.tga
		tcmod scale 1.5 1.5 //any higher is too much
		blendFunc filter
	}
}


//ommitted, looks tacky
textures/aadel_clinic/ivy_layer
{
	qer_editorimage textures/aadel_clinic/ivy_wall.tga
		//q3map_vertexScale 1.8
		//q3map_offset 2.0
	
	q3map_notjunc
	q3map_bounce 0.0
	q3map_shadeangle 140
	q3map_vertexScale 0.75
	q3map_nonplanar
	q3map_fur 1 1.25 0 //1 2 0.025

	surfaceparm trans
	surfaceparm pointlight
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	nomipmaps
		//deformVertexes wave 32 sin 0 2 0 0.1
	{
		map textures/aadel_clinic/ivy_wall2.tga
		tcmod scale 4 4 //3 3
		rgbGen vertex
		//alphaFunc GE128
		//alphaGen const 0.7
		//blendfunc blend
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
textures/aadel_clinic/window_1
{    
	qer_editorimage textures/aadel_clinic/window_1.tga
	qer_trans 0.5

	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	q3map_lightmapSampleSize 0

	cull none

	//q3map_lightmapFilterRadius 0 32
	q3map_surfacelight 70
	
	nopicmip
	{
		map textures/aadel_clinic/window_1.tga
		//blendFunc blend		
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	13v315h07 H4x
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_clinic_b3
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_clinic_b3.tga
        }
	{
        	map levelshots/ut4_clinic_b3_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.04
	}	

}