//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_derelict/sky4
{
	qer_editorimage textures/aadel_derelict/env2/vanilla_sky_bk.tga
        qer_trans 0.99

	q3map_lightmapFilterRadius 	0 2
					//0 6	
					//0 8
	//q3map_lightsubdivide 768 - ommited as the 2nd value in q3map_skylight controls itterations
	q3map_backsplash 0 0

	
	q3map_sunEXT 	1 0.721 0.52 115 55 35 3 12 //140 55 35 3 12
			//1 0.894 0.674 150 100 50 3 12
			//1 0.88 0.685 120 99 25 3 12
	q3map_skyLight 	185 6	//220 5

	q3map_lightRGB 	0.94 0.91 0.85 
			//0.94 0.91 0.95  
			//1 0.894 0.674 - 255 227 171
	q3map_noFog
	//q3map_globalTexture - ommitted to test results on skybox texture compression

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/aadel_derelict/env2/vanilla_sky - -

	nopicmip
	nomipmaps
}



textures/aadel_derelict/env/sky_flareeeeee
{
	qer_editorimage textures/aadel_derelict/env/del_flare19.tga
	deformvertexes autosprite
	
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	nopicmip
	//nomipmaps
	{
		map textures/aadel_derelict/env/del_flare19.tga
		blendfunc add
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_derelict/sky_water
{
	qer_editorimage textures/aadel_derelict/del_water001.tga
	qer_trans 0.5
	q3map_globaltexture
	q3map_fancywater 6 0.4 0.4 0.4		//parameters do nothing
	//q3map_cheapwater 6 0.4 0.4 0.4	//wave size, R, B, G 

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	cull none

	sort 5
	{ 
		map textures/aadel_derelict/del_water001.tga
		blendFunc blend
		alphaGen const 0.35
		tcmod scale 0.9 1.1
		tcmod scroll 0.005 0.01
		tcmod turb 0 0.01 0.5 0.01
		//tcmod scroll 0.075 0.1
		//tcmod turb 0 0.3 0.5 0.1
	}
	{ 
		map textures/aadel_derelict/del_water001a.tga
		blendFunc blend
		alphaGen const 0.45
		tcMod turb 0 0.01 0 0.01
		tcmod scroll 0.01 0.005
		//tcMod turb 0 0.25 0 0.09
		//tcmod scroll 0.35 0.075
	}
	{
		map textures/aadel_derelict/sky_blend.tga	
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
}
textures/aadel_derelict/sky_water_noblend
{
	qer_trans 0.5
	q3map_globaltexture
	q3map_fancywater 6 0.4 0.4 0.4

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	cull none

	sort 2
	{ 
		map textures/aadel_derelict/del_water001.tga
		blendFunc blend
		alphaGen const 0.35
		tcmod scale 0.9 1.1
		tcmod scroll 0.005 0.01
		tcmod turb 0 0.01 0.5 0.01
		//tcmod scroll 0.075 0.1
		//tcmod turb 0 0.3 0.5 0.1
	}
	{ 
		map textures/aadel_derelict/del_water001a.tga
		blendFunc blend
		alphaGen const 0.45
		tcMod turb 0 0.01 0 0.01
		tcmod scroll 0.01 0.005
		//tcMod turb 0 0.25 0 0.09
		//tcmod scroll 0.35 0.075
	}
}
textures/aadel_derelict/watercaulk
{
	qer_editorimage textures/aadel_derelict/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nodrop
	surfaceparm trans
	surfaceparm water
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_derelict/br_shrinkwrap_2
{
	qer_editorimage textures/aadel_derelict/br_shrinkwrap_2.tga
	qer_trans 0.6
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	sort 9
	{
		map textures/aadel_derelict/br_shrinkwrap_2.tga
		alphagen const 0.4 //0.65
		blendfunc blend
		rgbGen vertex
		//tcgen environment
	}
	{
		map textures/aadel_derelict/br_shrinkwrap_2.tga
		alphagen const 0.175 //0.4
		blendfunc blend
		rgbGen vertex
		tcgen environment
	}
}
textures/aadel_derelict/leaves
{
	qer_editorimage textures/aadel_derelict/leaves2.tga
	qer_trans 0.95
	q3map_forceMeta
	q3map_noshadow 32	//no shadows from self
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_derelict/leaves2.tga
		alphafunc ge128
		rgbGen vertex
	}
}
textures/aadel_derelict/bark
{
	qer_editorimage textures/aadel_derelict/bark.tga
	q3map_forcemeta
	//q3map_clipModel
	q3map_vertexScale 1.125

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0

	nopicmip
	{
		map textures/aadel_derelict/bark.tga
		rgbGen vertex
	}
}
models/del_lamp_derelict/del_lamp
{
	qer_editorimage models/del_lamp_derelict/del_lamp.tga
	q3map_forceMeta
	//q3map_vertexScale 1.4
	q3map_shadeangle 120
	q3map_nonplanar
	{
		map models/del_lamp_derelict/del_lamp.tga
		rgbgen vertex
	}
	//for extra bloom with Bumpy
	{
		map models/del_lamp_derelict/del_lamp_add.tga
		blendfunc add
		rgbgen vertex
	}
}
textures/aadel_derelict/ladder-y
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_alphaFunc qequal 0.5
	{
		map textures/aadel_derelict/ladder-y.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_derelict/iron_support-x
{
	cull none
	//q3map_cloneShader textures/aadel_derelict/iron_support-x_back
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_derelict/iron_support-x.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_derelict/rock_model:q3map2
{
	q3map_forceMeta
	//q3map_vertexscale 2.4
}
textures/aadel_derelict/light1:q3map2
{
	q3map_forceMeta
	//q3map_vertexscale 2
}
textures/aadel_derelict/br_shrinkwrap:q3map2
{
	q3map_forceMeta
	q3map_clipmodel
	//q3map_vertexscale 2
}
textures/aadel_derelict/fence1:q3map2
{
	q3map_forceMeta
	//q3map_clipmodel
	//q3map_vertexscale 1.9
}
textures/aadel_derelict/forklift:q3map2
{
	q3map_forceMeta
	//q3map_clipmodel
	q3map_vertexscale 1.2
}
textures/aadel_derelict/light1_bulb_flicker
{
	q3map_forceMeta
	//q3map_vertexscale 2
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/aadel_derelict/light1_bulb.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}
	{
		map textures/aadel_derelict/light1_bulb_add.tga
		blendfunc add	
		rgbgen wave noise -3 4 0 10
	}
	{
		map textures/aadel_derelict/light1_bulb_add.tga
		blendfunc gl_src_alpha gl_one
		alphagen wave inversesawtooth -20 21 0 0.1
		rgbgen const ( 1 0.9 0.5 )
	}
}
textures/aadel_derelict/light1_bulb_on
{
	q3map_forceMeta
	q3map_lightimage textures/aadel_derelict/light_white.tga
	//q3map_vertexscale 2
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map textures/aadel_derelict/light1_bulb.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}
	{
		map textures/aadel_derelict/light1_bulb_add.tga
		blendfunc add
	}
}
textures/aadel_derelict/light1_bulb_off
{
	q3map_forceMeta
	//q3map_vertexscale 2
	surfaceparm nomarks
	{
		map textures/aadel_derelict/light1_bulb.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}
}
textures/aadel_derelict/cagelight
{
	q3map_forceMeta
	q3map_lightimage textures/aadel_derelict/light_white.tga
	surfaceparm nomarks
	//q3map_vertexscale 0.75
	q3map_surfacelight 20000
	{
		map textures/aadel_derelict/cagelight.tga
	}
	{
		map textures/aadel_derelict/cagelight_add.tga
		blendfunc add
	}
}
textures/aadel_derelict/tripodlight
{
	qer_editorimage textures/aadel_derelict/tripodlight.tga
	q3map_forceMeta
	//q3map_vertexscale 0.6
	surfaceparm nomarks
	//q3map_surfacelight 1000
	{
		map textures/aadel_derelict/tripodlight.tga
	}
	//{
	//	map textures/aadel_derelict/tripodlight_add.tga
	//	blendfunc add
	//}
}
textures/aadel_derelict/tripod_on
{
	qer_editorimage textures/aadel_derelict/tripodlight.tga
	q3map_forceMeta
	//q3map_vertexscale 0.6
	surfaceparm nomarks
	q3map_surfacelight 1200
	{
		map textures/aadel_derelict/tripodlight.tga
	}
	{
		map textures/aadel_derelict/tripodlight_add.tga
		blendfunc add
	}
}
textures/aadel_derelict/strobe
{
	q3map_forceMeta
	//q3map_vertexscale 0.6
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/aadel_derelict/strobe.tga
	}
	{
		map textures/aadel_derelict/strobe_add.tga
		blendfunc add
	}
}
textures/aadel_derelict/strobe_glass_on
{
	qer_editorimage textures/aadel_derelict/strobe_glass.tga
	q3map_forceMeta
	//q3map_vertexscale 0.6
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/aadel_derelict/strobe_glass.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}
	{
		map textures/aadel_derelict/strobe_glass_add.tga
		blendfunc add
	}
}
textures/aadel_derelict/lamp_glass_64
{
	qer_editorimage textures/aadel_derelict/lamp_glass_64.tga
	q3map_lightimage textures/aadel_derelict/light_white.tga
	surfaceparm nomarks
	q3map_surfacelight 200000
	//q3map_backsplash 0.2 10
	q3map_lightsubdivide 64
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/aadel_derelict/lamp_glass_64.tga
		blendfunc gl_zero gl_src_alpha
	}
	{
		map textures/aadel_derelict/lamp_glass_64.tga
		blendfunc add
		rgbGen identity
	}	
}
textures/aadel_derelict/wall_light1
{
	q3map_lightimage textures/aadel_derelict/light_white.tga
	q3map_lightsubdivide 64	
	q3map_forceMeta
	//q3map_vertexscale 2
	q3map_surfacelight 1000 
	surfaceparm pointlight
	{
		map textures/aadel_derelict/wall_light1.tga
		rgbgen identity
	}	
	{
		map textures/aadel_derelict/wall_light1_add.tga
		blendfunc add
		rgbgen identity
	}
}
textures/aadel_derelict/lawn_light
{
	q3map_lightimage textures/aadel_derelict/lawn_light_color.tga
	q3map_lightsubdivide 64	
	q3map_forceMeta
	//q3map_vertexscale 0.9
	q3map_surfacelight 1000 
	surfaceparm pointlight
	{
		map textures/aadel_derelict/lawn_light.tga
		rgbgen identity
	}	
	{
		map textures/aadel_derelict/lawn_light_add.tga
		blendfunc add
		rgbgen identity
	}
}
textures/aadel_derelict/boombox
{
	q3map_forceMeta
	//q3map_vertexscale 1.9
	surfaceparm pointlight
	nopicmip	//speakers look fucked o___o
	{
		map textures/aadel_derelict/boombox.tga
		rgbgen vertex
	}
}
textures/aadel_derelict/officedesk
{
	q3map_clipmodel
	q3map_forceMeta
	//q3map_vertexscale 1.1
	surfaceparm pointlight
	{
		map textures/aadel_derelict/officedesk.tga
		rgbgen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_derelict/rock_phong
{
	q3map_nonplanar
	q3map_shadeangle 140 //90
	qer_editorimage textures/aadel_derelict/rockyr.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_derelict/rockyr.tga
		blendFunc filter
	}

}
textures/aadel_derelict/del_tile10
{
	q3map_nonplanar
	q3map_shadeangle 140 //90
	qer_editorimage textures/aadel_derelict/del_tile10.tga 
	//q3map_normalImage textures/aadel_derelict/del_tile10_b.tga //lightmap was too splotchy - would suit something with less detail
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_derelict/del_tile10.tga
		blendFunc filter
	}

}
textures/aadel_derelict/grass_mud_phong
{
	qer_editorimage textures/aadel_derelict/grassy2.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_derelict/dirtyr.tga
	}
	{
		map textures/aadel_derelict/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_derelict/concrete-black-blend
{
	qer_editorimage textures/aadel_derelict/del_wall07.tga
	{
		map textures/aadel_derelict/black.tga
	}
	{
		map textures/aadel_derelict/del_wall07.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_derelict/concrete-rockyr-blend
{
	qer_editorimage textures/aadel_derelict/del_wall07.tga
	{
		map textures/aadel_derelict/rockyr.tga
	}
	{
		map textures/aadel_derelict/del_wall07.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_derelict/ivy_del
{
	qer_editorimage textures/aadel_derelict/grass_or_some_shit.tga
	q3map_forceMeta
	//q3map_vertexscale 0.25
	q3map_bouncescale 0.0
	//q3map_noshadow 32	//no shadows from self
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_derelict/grass_or_some_shit.tga
		//blendfunc blend

		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthwrite
		rgbgen vertex
	}
}
textures/aadel_derelict/ivy_down1
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/aadel_derelict/ivy_down1.tga
		alphafunc ge128
		rgbgen exactvertex
	}
}

textures/aadel_derelict/ivy_down2
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/aadel_derelict/ivy_down2.tga
		alphafunc ge128
		rgbgen exactvertex
	}
}

textures/aadel_derelict/ivy_up1
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/aadel_derelict/ivy_up1.tga
		alphafunc ge128
		rgbgen exactvertex
	}
}

textures/aadel_derelict/ivy_vert1
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/aadel_derelict/ivy_vert1.tga
		alphafunc ge128
		rgbgen exactvertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_derelict/decal_moss_behind_pipe
{
	qer_editorimage textures/aadel_derelict/moss_behind_pipe.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset
	q3map_bounceScale 0.0

	{
		map textures/aadel_derelict/moss_behind_pipe.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_derelict/rust_leak
{
	qer_editorimage textures/aadel_derelict/leak.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/leak.tga
		blendfunc gl_dst_color gl_zero
	}
}
textures/aadel_derelict/urt_bids
{
	qer_editorimage textures/aadel_derelict/urt_bids.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/urt_bids.tga
		blendfunc gl_dst_color gl_zero
	}
}
textures/aadel_derelict/urt_nitro_lilpwny
{
	qer_editorimage textures/aadel_derelict/urt_nitro_lilpwny.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/urt_nitro_lilpwny.tga
		blendfunc gl_dst_color gl_zero
	}
}
textures/aadel_derelict/uz_add
{
	qer_editorimage textures/aadel_derelict/uz_add.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/uz_add.tga
		blendfunc gl_dst_color gl_zero
	}
}
textures/aadel_derelict/uz_subtract
{
	qer_editorimage textures/aadel_derelict/uz_subtract.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/uz_subtract.tga
		blendfunc gl_dst_color gl_one
	}
}
textures/aadel_derelict/delirium_the_trippin_kiwi
{
	qer_editorimage textures/aadel_derelict/delirium_the_trippin_kiwi.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/delirium_the_trippin_kiwi.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/aadel_derelict/decal_delirium
{
	qer_editorimage textures/aadel_derelict/decal_delirium.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/decal_delirium.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_derelict/decal_pugbot
{
	qer_editorimage textures/aadel_derelict/decal_pugbot.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/decal_pugbot.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_derelict/decal_loading_zone
{
	qer_editorimage textures/aadel_derelict/decal_loading_zone.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/decal_loading_zone.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_derelict/decal_a
{
	qer_editorimage textures/aadel_derelict/decal_a.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/decal_a.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_b
{
	qer_editorimage textures/aadel_derelict/decal_b.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/decal_b.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_c
{
	qer_editorimage textures/aadel_derelict/decal_c.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/decal_c.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/mightnight_riders
{
	qer_editorimage textures/aadel_derelict/mightnight_riders.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/mightnight_riders.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_crasse04
{
	qer_editorimage textures/aadel_derelict/crasse04.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/crasse04.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_crasse05
{
	qer_editorimage textures/aadel_derelict/crasse05.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/crasse05.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_crasse07
{
	qer_editorimage textures/aadel_derelict/crasse07.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/crasse07.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_del_decal81
{
	qer_editorimage textures/aadel_derelict/del_decal81.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/del_decal81.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aadel_derelict/decal_brix01
{
	qer_editorimage textures/aadel_derelict/brix01.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/brix01.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/aadel_derelict/decal_del_woot
{
	qer_editorimage textures/aadel_derelict/del_woot.tga
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_derelict/del_woot.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_derelict/decal_city3
{
	qer_editorimage textures/aadel_derelict/city3.tga
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	qer_alphaFunc gequal 0.5
    	{
		map textures/aadel_derelict/city3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/aadel_derelict/clipmarx_steel
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks 
	surfaceparm nodlight
	{
		map $whiteimage
		blendfunc filter
	}
}
textures/aadel_derelict/decal_grate_fence
{
	qer_editorimage textures/aadel_derelict/grate.tga
	q3map_cloneshader textures/aadel_derelict/decal_grate_fence_back
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nodamage	//for water edge balcony
	surfaceparm alphashadow
	surfaceparm playerclip
	//cull none
	qer_alphaFunc gequal 0.5
    	{
		map textures/aadel_derelict/grate.tga
		rgbgen const ( 0.5 0.5 0.5 )
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen vertex
		//tcmod scale 8 8
	}
}
textures/aadel_derelict/decal_grate_fence_back
{
	qer_editorimage textures/aadel_derelict/grate.tga
	nopicmip
	q3map_invert
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm alphashadow
	surfaceparm playerclip
	//cull none
	sort 8
	qer_alphaFunc gequal 0.5
    	{
		map textures/aadel_derelict/grate.tga
		rgbgen const ( 0.5 0.5 0.5 )
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen vertex
		//tcmod scale 8 8
	}
}

textures/aadel_derelict/vents_0
{
	qer_editorimage textures/aadel_derelict/vents_0.tga
	qer_trans 0.99
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	nopicmip
	q3map_cloneshader textures/aadel_derelict/vents_0_back
	{
		map textures/aadel_derelict/vents_0.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_derelict/decal_grate_notcmod
{
	qer_editorimage textures/aadel_derelict/grate.tga
	q3map_cloneshader textures/aadel_derelict/decal_grate_notcmod_back
	q3map_clipmodel
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight		//ugly w/o
	surfaceparm alphashadow

	surfaceparm nonsolid		//autoclip goes nonsolid 
	surfaceparm playerclip		//autoclip reforms but only blocks players
	//cull none
	qer_alphaFunc gequal 0.5
    	{
		map textures/aadel_derelict/grate.tga
		rgbgen const ( 0.5 0.5 0.5 )
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen vertex
	}
}
textures/aadel_derelict/decal_grate_notcmod_back
{
	qer_editorimage textures/aadel_derelict/grate.tga
	//q3map_clipmodel
	q3map_invert
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight		//ugly w/o
	surfaceparm alphashadow

	surfaceparm nonsolid		//autoclip goes nonsolid
	surfaceparm playerclip		//autoclip reforms but only blocks players
	//cull none
	qer_alphaFunc gequal 0.5
	sort 8
    	{
		map textures/aadel_derelict/grate.tga
		rgbgen const ( 0.5 0.5 0.5 )
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen vertex
	}
}
textures/aadel_derelict/vents_0_back
{
	qer_editorimage textures/aadel_derelict/vents_0.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm alphashadow
	nopicmip
	q3map_invert
	{
		map textures/aadel_derelict/vents_0.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_derelict/wood_fence
{
	qer_editorimage textures/aadel_derelict/wood_fence.tga
	cull none
	nopicmip
	q3map_lightmapSampleSize 0
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
        {
            	map textures/aadel_derelict/wood_fence.tga
		tcmod scale 2 2
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}
textures/aadel_derelict/decal_barb
{
	qer_editorimage textures/aadel_derelict/barb.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	q3map_cloneshader textures/aadel_derelict/decal_barb_back
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	//cull none
    	{
		map textures/aadel_derelict/barb.tga
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/aadel_derelict/decal_barb_back
{
	qer_editorimage textures/aadel_derelict/barb.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	q3map_invert
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	//cull none
	sort 9
    	{
		map textures/aadel_derelict/barb.tga
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/aadel_derelict/decal_bunker_broooooken
{
	qer_editorimage textures/aadel_derelict/bunker_broke.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonoffset

	//q3map_vertexscale 1.25
	nopicmip
	{
		map textures/aadel_derelict/bunker_broke.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/decal_paper_shiiiiiiz
{
	qer_editorimage textures/aadel_derelict/paper_crap.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonoffset

	//q3map_vertexscale 1.2
	nopicmip
	{
		map textures/aadel_derelict/paper_crap.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/ivy
{
	qer_editorimage textures/aadel_derelict/ivyyy.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonoffset

	//q3map_vertexscale 1.2
	nopicmip
	{
		map textures/aadel_derelict/ivyyy.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/stems2
{
	qer_editorimage textures/aadel_derelict/stems2.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonoffset

	//q3map_vertexscale 1.2
	nopicmip
	{
		map textures/aadel_derelict/stems2.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/stems
{
	qer_editorimage textures/aadel_derelict/stems.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonoffset

	//q3map_vertexscale 1.2
	nopicmip
	{
		map textures/aadel_derelict/stems.tga
		blendfunc blend
		rgbgen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

textures/aadel_derelict/sidelamp
{
	qer_editorimage textures/aadel_derelict/del_sidelamp.tga
	q3map_lightimage textures/aadel_facade/env/color.tga
	q3map_forceMeta
	//q3map_vertexscale 1.2
	//q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2000 
	surfaceparm pointlight
        {
                map textures/aadel_derelict/del_sidelamp.tga
		rgbgen vertex
	}
	{
		map textures/aadel_derelict/del_sidelamp_add.tga
		blendfunc add
		rgbgen vertex
	}
}
textures/aadel_derelict/fs_rain2
{
	qer_editorimage textures/wetwired/fs_rain2.tga
        q3map_globaltexture
        surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	cull none
	
	{
		map textures/wetwired/fs_rain2.tga
		tcMod Scroll -0.125 2
		//alphaFunc GE128
		//depthWrite
		blendfunc add		
        }
}
textures/aadel_derelict/lamp__flare
{
	qer_editorimage textures/aadel_derelict/lamp_flare.tga
	deformvertexes autosprite
	
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	cull none
	nopicmip

	//q3map_vertexscale 1.6
	{
		map textures/aadel_derelict/lamp_flare.tga
		blendfunc add
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
}
textures/aadel_derelict/cody__powerline
{
	qer_editorimage textures/aadel_derelict/cody_powerline.tga
	
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	nopicmip

	//q3map_vertexscale 1.3
	{
		map textures/aadel_derelict/cody_powerline.tga
		rgbgen identity
	}
}
textures/aadel_derelict/boat
{
	qer_editorimage textures/aadel_derelict/boat.tga
	q3map_forceMeta
	
	nopicmip
	cull none

	//q3map_vertexscale 1.3
	{
		map textures/aadel_derelict/boat.tga
		rgbgen vertex
	}
	{
		map textures/aadel_derelict/boat2.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_derelict/black_fog
{
	qer_editorimage textures/aadel_derelict/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm fog

	polygonOffset

	fogparms ( 0 0 0 ) 1000
	q3map_bouncescale 0
}
textures/aadel_derelict/ladderclip
{
	qer_trans 0.40
	qer_editor_image textures/aadel_derelict/ladderclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}
textures/aadel_derelict/clip_nokick
{
	qer_editorimage textures/aadel_derelict/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodrop
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
textures/aadel_derelict/wire_nocull
{
	qer_editorimage textures/aadel_derelict/wire.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	//cull none
	{
		map textures/aadel_derelict/wire.tga
		rgbgen vertex
	}
}

textures/aadel_derelict/wire
{
	qer_editorimage textures/aadel_derelict/wire.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	cull none
	{
		map textures/aadel_derelict/wire.tga
		rgbgen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_derelict/glass_window_smash
{
	qer_editorimage textures/aadel_derelict/glass1.tga
	//q3map_vertexscale 3.2
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm trans
	cull none
	{
		map textures/aadel_derelict/glass1.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/glass_window_nonsolid
{
	qer_editorimage textures/aadel_derelict/glass1.tga
	//q3map_vertexscale 3.4
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm trans
	cull none
	{
		map textures/aadel_derelict/glass1.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/roof_window3
{
	qer_editorimage textures/aadel_derelict/roof_win2.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm alphashadow
	surfaceparm lightfilter
	//q3map_vertexscale 2
	cull none
	qer_alphaFunc gequal 0.5
	//{
	//	map textures/null_beach/tinfx.tga
	//	blendfunc add
	//	tcgen environment
	//	rgbgen const ( 0.5 0.5 0.5 )
	//}
	{
		map textures/aadel_derelict/roof_win2.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/aadel_derelict/forklift.jpg:q3map
{
	q3map_vertexscale 1.3
}
textures/aadel_derelict/strap.tga:q3map
{
	q3map_vertexscale 1.4
}
textures/aadel_derelict/pipe.tga:q3map
{
	q3map_vertexscale 1.2
	q3map_nonplanar
	q3map_shadeangle 70 //140
}
//textures/aadel_derelict/pipe2.tga:q3map
//{
//	q3map_vertexscale 1.8
//}
textures/aadel_derelict/pipe2.tga:q3map
{
	q3map_vertexscale 1.9
	q3map_nonplanar
	q3map_shadeangle 70 //140
}
models/mapobjects/bfp/chainLinks/chainLinks.jpg:q3map
{
	q3map_vertexscale 1.2
	q3map_nonplanar
	q3map_shadeangle 70 //140
}
models/del_table/del_table.jpg:q3map
{
	q3map_vertexscale 1.8
}
models/mapobjects/br_shipping/br_pallet.jpg:q3map
{
	q3map_vertexscale 2.2
}
models/mapobjects/br_shipping/br_pallet2.jpg:q3map
{
	q3map_vertexscale 2.2
}
models/mapobjects/br_shipping/br_pallet3.jpg:q3map
{
	q3map_vertexscale 2.2
}
models/mapobjects/br_shipping/br_shrinkwrap.jpg:q3map
{
	q3map_vertexscale 2.2
}
models/mapobjects/br_trash/br_trash.jpg:q3map
{
	q3map_vertexscale 1.6
}
models/mapobjects/br_zodiac/br_zodiac.jpg:q3map
{
	q3map_vertexscale 1.4
}
textures/null_twist/water_tank_side.tga:q3map
{
	q3map_vertexscale 1.5
}
textures/null_twist/water_tank_top.tga:q3map
{
	q3map_vertexscale 1.5
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	13v315h07 H4x
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//levelshots/ut4_derelict_b3
//{
//	nopicmip
//	nomipmaps
//        {
//                map levelshots/ut4_derelict_b3.tga
//        }
//	{
//        	map levelshots/ut4_derelict_b2a.tga
//		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		//alphaGen wave sin 0 1 1 0.04
//		//tcMod scroll -0.5 0		//same direction as the bar
//		blendFunc add
//	}	
//}
levelshots/ut4_derelict_b5
{
	nopicmip
	nomipmaps
	{
		map levelshots/ut4_derelict_b5.tga 
		
	}
	//{
	//	animmap 0.25 levelshots/ut4_derelict_b3_1.tga levelshots/ut4_derelict_b3_2.tga
	//}
	{
        	map levelshots/ut4_derelict_b5_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave triangle 0 1 0 0.18	//wave sin 0 1 1 0.04
	}	
}